/*
 * Interactive nametag sketch for ATtiny85. Based on the Digispark
 * ATtiny LCD example and the Adafruit "Measuring Sound Levels" example.
 * Every 12000 milliseconds will change the display from my name to my website.
 * On the second line, will measure and display sound levels.
 * For more info check: https://platis.solutions/blog/2015/03/22/diy-interactive-name-tag/
 * ATtiny85 I2C pins:
 * ATtiny Pin 5 = SDA on DS1621  & GPIO
 * ATtiny Pin 7 = SCK on DS1621  & GPIO
 */

#include <TinyWireM.h>                  // I2C Master lib for ATTinys which use USI - comment this out to use with standard arduinos
#include <LiquidCrystal_attiny.h>          // for LCD w/ GPIO MODIFIED for the ATtiny85

#define GPIO_ADDR     0x27
LiquidCrystal_I2C lcd(GPIO_ADDR, 20, 4); // set address & 16 chars / 2 lines

void setup() {
  lcd.init();                           // initialize the lcd
  lcd.backlight(); 
  
  lcd.setCursor(2,0);
  lcd.print("F");
  lcd.setCursor(3,0);
  lcd.print("A");
  lcd.setCursor(4,0);
  lcd.print("B");
   lcd.setCursor(5,0);
  lcd.print("L");
  lcd.setCursor(6,0);
  lcd.print("A");
  lcd.setCursor(7,0);
  lcd.print("B");

  lcd.setCursor(9,0);
  lcd.print("R");
  lcd.setCursor(10,0);
  lcd.print("W");
  lcd.setCursor(11,0);
  lcd.print("A");
  lcd.setCursor(12,0);
  lcd.print("N");
  lcd.setCursor(13,0);
  lcd.print("D");
  lcd.setCursor(14,0);
  lcd.print("A");

 //=============================//
  lcd.setCursor(0,1);
  lcd.print("O");
  lcd.setCursor(1,1);
  lcd.print("U");
  lcd.setCursor(2,1);
  lcd.print("T");
  lcd.setCursor(3,1);
  lcd.print("P");
  lcd.setCursor(4,1);
  lcd.print("U");
  lcd.setCursor(5,1);
  lcd.print("T");
  //==============================//


  lcd.setCursor(7,1);
  lcd.print("A");
  lcd.setCursor(8,1);
  lcd.print("S");
  lcd.setCursor(9,1);
  lcd.print("S");
  lcd.setCursor(10,1);
  lcd.print("I");
  lcd.setCursor(11,1);
  lcd.print("G");
  lcd.setCursor(12,1);
  lcd.print("N");
  lcd.setCursor(13,1);
  lcd.print("M");
  lcd.setCursor(14,1);
  lcd.print("E");
  lcd.setCursor(15,1);
  lcd.print("N");
  lcd.setCursor(16,1);
  lcd.print("T");
  
  //==============================//

  lcd.setCursor(4,2);
  lcd.print("*");
  lcd.setCursor(5,2);
  lcd.print("*");
  lcd.setCursor(7,2);
  lcd.print("2");
  lcd.setCursor(8,2);
  lcd.print("0");
  lcd.setCursor(9,2);
  lcd.print("1");
  lcd.setCursor(10,2);
  lcd.print("9");
  lcd.setCursor(11,2);
  lcd.print("*");
  lcd.setCursor(12,2);
  lcd.print("*"); 
}

void loop() {

}
