/*
 * Interactive nametag sketch for ATtiny85. Based on the Digispark
 * ATtiny LCD example and the Adafruit "Measuring Sound Levels" example.
 * Every 12000 milliseconds will change the display from my name to my website.
 * On the second line, will measure and display sound levels.
 * For more info check: https://platis.solutions/blog/2015/03/22/diy-interactive-name-tag/
 * ATtiny85 I2C pins:
 * ATtiny Pin 5 = SDA on DS1621  & GPIO
 * ATtiny Pin 7 = SCK on DS1621  & GPIO
 */

#include <TinyWireM.h>                  // I2C Master lib for ATTinys which use USI - comment this out to use with standard arduinos
#include <LiquidCrystal_attiny.h>          // for LCD w/ GPIO MODIFIED for the ATtiny85

#define GPIO_ADDR     0x27
LiquidCrystal_I2C lcd(GPIO_ADDR, 20, 4); // set address & 16 chars / 2 lines

 void setup() {
  lcd.init();                           // initialize the lcd
  lcd.backlight(); 
  lcd.backlight();
  lcd.setCursor(3,0);
  lcd.print("FABLAB RWANDA");
  lcd.setCursor(2,1);
  lcd.print("OUTPUT ASSIGNMENT ");
  lcd.setCursor(0,2);
  lcd.print("** 2019 **");
}

void loop() {

}
